> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.finverse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Accounts for a Payment User

> Retrieve Payment Accounts for a user (using a specific `user_id`).

**Authorization**: `customer_token`

## Response field

### payment_accounts (array of objects)

List of payment accounts for the Payment User:

### account_number (object)

Bank account number details.



## OpenAPI

````yaml /api-reference/openapi.json get /payment_users/{paymentUserId}/payment_accounts
openapi: 3.0.0
info:
  description: Documentation of the early finverse services
  title: Finverse Public
  termsOfService: https://example.com
  contact:
    name: Maintainers
    email: info@finverse.com
  license:
    name: unknown license
  version: 0.0.1
servers:
  - url: https://api.prod.finverse.net
security:
  - Oauth2:
      - test
tags:
  - name: public
    description: Publicly accessible endpoints
    x-group: Public
  - name: customer
    description: Customer app and institution endpoints
    x-group: Customer
  - name: link
    description: Finverse Link flows
    x-group: Link
  - name: login_identity
    description: Login identity lifecycle and metadata
    x-group: Login identity
  - name: accounts
    description: Accounts, balances, and account numbers
    x-group: Accounts
  - name: statements
    description: Statements and composite statements
    x-group: Statements
  - name: transactions
    description: Transaction history
    x-group: Transactions
  - name: identity_income
    description: Identity and income insights
    x-group: Identity & income
  - name: payment_links
    description: Payment link creation and checkout
    x-group: Payment links
  - name: mandates
    description: Direct debit mandates
    x-group: Mandates
  - name: payments
    description: Payment initiation and status
    x-group: Payment operations
  - name: payouts
    description: Payouts and scheduled payouts
    x-group: Payouts
  - name: payment_users
    description: Payment user profiles
    x-group: Payment users
  - name: payment_accounts
    description: Payment accounts for users
    x-group: Payment accounts
  - name: payment_methods
    description: Stored payment methods
    x-group: Payment methods
  - name: bills
    description: Bill presentment
    x-group: Bills
  - name: disputes
    description: Payment disputes
    x-group: Disputes
  - name: ledger
    description: Ledger and statements
    x-group: Ledger
paths:
  /payment_users/{paymentUserId}/payment_accounts:
    get:
      tags:
        - payment_users
      summary: List Payment Accounts for a Payment User
      description: |-
        Retrieve Payment Accounts for a user (using a specific `user_id`).

        **Authorization**: `customer_token`

        ## Response field

        ### payment_accounts (array of objects)

        List of payment accounts for the Payment User:

        ### account_number (object)

        Bank account number details.
      operationId: listPaymentAccounts
      parameters:
        - description: The payment user id
          name: paymentUserId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPaymentAccountsResponse'
              examples:
                success:
                  summary: Success
                  value:
                    payment_accounts:
                      - account_id: 01GM2X15D3N87RDSW5RV57MDVR
                        account_number:
                          number: 01GM2X15F9SFBYSJ8Y9CZPYB4T
                          type: LOCAL
                        account_type: EXTERNAL_ACCOUNT
                        accountholder_name: 01GM2X15E9W1E9XQQ1ZSS34N2V
                        bank_code: '004'
                        branch_code: '123'
                        created_at: '2022-12-12T10:10:34.095Z'
                        currencies:
                          - HKD
                          - CNY
                        institution_id: testbank
                        metadata:
                          key: value
                          employer_name: Apple Inc
                        updated_at: '2022-12-12T10:10:34.095Z'
                        user_id: 01GM2CQ5D7GSHGPA73X8NGXCHB
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrBodyModelV2'
              examples:
                user_not_found:
                  summary: Error (User not found)
                  value:
                    error:
                      details: payment_user_id cannot be found
                      error_code: RESOURCE_NOT_FOUND
                      message: >-
                        Resource cannot be found. Resource does not exist, has
                        been deleted, or is not accessible.
                      request_id: '{unique_id}'
                      type: API_ERROR
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrBodyModelV2'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrBodyModelV2'
      security:
        - Oauth2:
            - payment_account:get
components:
  schemas:
    ListPaymentAccountsResponse:
      properties:
        payment_accounts:
          type: array
          items:
            $ref: '#/components/schemas/PaymentAccountDetails'
    ErrBodyModelV2:
      properties:
        error:
          $ref: '#/components/schemas/FvErrorModelV2'
    PaymentAccountDetails:
      properties:
        account_id:
          description: Payment account id
          type: string
        account_number:
          $ref: '#/components/schemas/RecipientAccountNumber'
        account_number_masked:
          description: Masked Account number of the payment account
          type: string
        account_type:
          description: Type of payment account.
          type: string
          enum:
            - EXTERNAL_ACCOUNT
            - SETTLEMENT_ACCOUNT
          example: EXTERNAL_ACCOUNT
        accountholder_name:
          description: Accountholder name of the payment account
          type: string
          example: Chan Li Pak
        bank_code:
          description: 3-digit code associated with bank
          type: string
          example: '004'
        branch_code:
          description: 3-digit code used to identify specific bank branch
          type: string
          example: '123'
        business_units:
          description: The business units the payment account belongs to
          type: array
          items:
            type: string
          x-omitempty: true
        created_at:
          description: >-
            Timestamp of when the payment link was created in ISO format
            (YYYY-MM-DDTHH:MM:SS.SSSZ)
          type: string
          format: date-time
        currencies:
          description: List of currencies supported by the payment account
          type: array
          items:
            type: string
          x-omitempty: true
          example:
            - HKD
            - SGD
        customer_app_id:
          description: The customer app ID
          type: string
          example: 01ARZ3NDEKTSV4RRFFQ69G5FAV
        institution_id:
          description: Finverse Institution ID for the payment institution.
          type: string
          example: hsbc-hk
        institution_name:
          description: Institution Name for the sender’s institution.
          type: string
          example: HSBC
        legal_entity_name:
          description: This field is only applicable to settlement account
          type: string
        metadata:
          description: >-
            Additional attributes of the sender account in key:value format
            (e.g. sender_id: 1234). It supports up to 10 key:value pairs,
            whereas the key and value supports up to 50 and 1000 characters
            respectively.
          type: object
          additionalProperties:
            type: string
        updated_at:
          description: >-
            Timestamp of when the payment link was last updated in ISO format
            (YYYY-MM-DDTHH:MM:SS.SSSZ)
          type: string
          format: date-time
        user_id:
          description: >-
            A unique identifier generated after creating user (Finverse Payment
            User ID)
          type: string
          example: 01GY6H0JA7BS8EVGY56NSHFX2E
    FvErrorModelV2:
      required:
        - type
        - error_code
        - message
        - details
        - request_id
      properties:
        details:
          type: string
        error_code:
          type: string
          example: CREDENTIALS_INVALID
        message:
          type: string
        request_id:
          description: The request_id provided in the request header
          type: string
        type:
          description: The error type
          type: string
          enum:
            - LINK_ERROR
            - API_ERROR
          example: LINKING_ERROR
    RecipientAccountNumber:
      type: object
      required:
        - type
        - number
      properties:
        number:
          description: >-
            Account number. Account numbers in responses are tokenized by
            Finverse.
          type: string
          maxLength: 100
          minLength: 1
        number_plaintext:
          description: Account number in plaintext
          type: string
          maxLength: 100
          minLength: 1
          nullable: true
        type:
          description: 'Type of account number format. Possible values: `IBAN`, `LOCAL`'
          type: string
          enum:
            - LOCAL
            - IBAN
  securitySchemes:
    Oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://finverse-dev.us.auth0.com/oauth/token
          scopes:
            account: Account
            balance: Balance
            credit: Credit
            institution: Institution
            investment: Investment
            link: Link
            test: Test
            transaction: Transaction

````